PETSc version 3.15.5
Fix/Edit manual page

# PetscSortInt

Sorts an array of integers in place in increasing order.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSortInt(PetscInt n,PetscInt X[])

Not Collective

### Input Parameters

| n | - number of values
| X | - array of integers

### Notes

This function serves as an alternative to PetscIntSortSemiOrdered(), and may perform faster especially if the array is completely random. There are exceptions to this and so it is __highly__ recomended that the user benchmark their code to see which routine is fastest.

### See Also

PetscIntSortSemiOrdered(), PetscSortReal(), PetscSortIntWithPermutation()

### Level

intermediate

### Location

src/sys/utils/sorti.c

### Examples

src/sys/classes/random/tutorials/ex1.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages